Package twisted :: Package persisted :: Module sob :: Class IPersistable

[frames | no frames]

## Class IPersistable

    Interface --+
                |
               IPersistable

An object which can be saved in several formats to a file

Method Summary
| ``save`(self, tag, filename, passphrase)` Save object to file.
| ``setStyle`(self, style)` Set desired format.

Method Details

### save(self, tag=None, filename=None, passphrase=None)

Save object to file.

  Parameters:
    `tag`
    (type=string)
    `filename`
    (type=string)
    `passphrase`
    (type=string)

### setStyle(self, style)

Set desired format.

  Parameters:
    `style`
    (type=string (one of 'pickle', 'source' or 'xml'))

Generated by Epydoc 2.0 on Sat May 15 20:08:22 2004 | http://epydoc.sf.net